OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_PointHasher Class Reference

`#include <STEPConstruct_PointHasher.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_Integer | HashCode (const gp_Pnt &Point, const Standard_Integer Upper)
| Returns a HasCode value for the Key <k> in the range 0..Upper. .
static Standard_EXPORT Standard_Boolean | IsEqual (const gp_Pnt &Point1, const gp_Pnt &Point2)
| Returns True when the two keys are the same. Two same keys must have the same hashcode, the contrary is not necessary. .

## Member Function Documentation

Standard_Integer STEPConstruct_PointHasher::HashCode | ( | const gp_Pnt & | Point,
|  | const Standard_Integer | Upper
| ) | `[inline, static]`

static Standard_EXPORT Standard_Boolean STEPConstruct_PointHasher::IsEqual | ( | const gp_Pnt & | Point1,
|  | const gp_Pnt & | Point2
| ) | `[static]`

void STEPConstruct_PointHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPConstruct_PointHasher::operator new | ( | size_t | size | ) | `[inline]`

void* STEPConstruct_PointHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following files:

- STEPConstruct_PointHasher.hxx
- STEPConstruct_PointHasher.lxx